### Home Classes Methods

### In Files

- lib/ffi/autopointer.rb

### Parent

FFI::AutoPointer::Releaser

### Methods

- #release

### Files

- Makefile
- ChangeLog
- LICENSE
- README
- compile
- configure
- depcomp
- stamp-vti
- install-sh
- libtool-version
- mdate-sh
- missing

### Class/Module Index

Quicksearch

- FFI
- FFI::AutoPointer
- FFI::AutoPointer::CallableReleaser
- FFI::AutoPointer::DefaultReleaser
- FFI::AutoPointer::Releaser
- FFI::ConstGenerator
- FFI::ConstGenerator::Constant
- FFI::Enum
- FFI::Enums
- FFI::FunctionType
- FFI::Generator
- FFI::Generator::Task
- FFI::IO
- FFI::Library
- FFI::ManagedStruct
- FFI::NotFoundError
- FFI::Platform
- FFI::PlatformError
- FFI::Pointer
- FFI::StrPtrConverter
- FFI::Struct
- FFI::Struct::ManagedStructConverter
- FFI::StructGenerator
- FFI::StructGenerator::Field
- FFI::StructLayout
- FFI::StructLayout::Array
- FFI::StructLayout::Enum
- FFI::StructLayout::Field
- FFI::StructLayout::Function
- FFI::StructLayout::InnerStruct
- FFI::StructLayout::Mapped
- FFI::StructLayout::Number
- FFI::StructLayout::Pointer
- FFI::StructLayout::String
- FFI::StructLayoutBuilder
- FFI::TypesGenerator
- FFI::Union
- FFI::VariadicInvoker

No matching classes.

# FFI::AutoPointer::CallableReleaser

CallableReleaser is a {Releaser} used when an {AutoPointer} is defined with a Proc or a Method.

### Public Instance Methods

release(ptr) click to toggle source

@param [Pointer] ptr @return [nil] Release `ptr` by using Proc or Method defined at `ptr` {AutoPointer#initialize initialization}.

    # File lib/ffi/autopointer.rb, line 157
    def release(ptr)
      @proc.call(ptr)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.